<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <!-- we basically want to copy everything, but add in a few bits for gs3 -->
  <xsl:output method="xml"/>
  
  <xsl:template match="Server">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
    <xsl:text>
    </xsl:text>
  </xsl:template>
  
  <xsl:template match="Service | Engine ">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
  	  
  <xsl:template match="Host">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
      <Context path="/soap" docBase="@gsdl3home@/comms/soap/soap/webapps/soap" debug="1" reloadable="true">
	<Resources allowLinking='true'/>
      </Context>
    </xsl:copy>
  </xsl:template>
      
  <xsl:template match="*">
    <xsl:copy-of select="."/>
  </xsl:template>

  <xsl:template match="comment()">
    <xsl:copy-of select="."/>
    <xsl:text>
</xsl:text>
  </xsl:template>
    
</xsl:stylesheet>
